Closed Bug 1452299 Opened 2 years ago Closed 2 years ago

browser_ext_settings_overrides_search.js is dodgy

Categories

(WebExtensions :: General, defect, P1)

defect

Tracking

(firefox61 fixed)

RESOLVED FIXED
mozilla61
Tracking Status
firefox61 --- fixed

People

(Reporter: kmag, Assigned: kmag)

References

Details

Attachments

(1 file)

It tries to startup two versions of an extension, and then shut down both of them, even though by the time both are running, one has already been destroyed.

Also, there's no reason for this to be a browser test.
Priority: -- → P1
Comment on attachment 8965882 [details]
Bug 1452299: Make browser_ext_settings_overrides_search a less-dodgy xpcshell test.

https://reviewboard.mozilla.org/r/234702/#review241908
Attachment #8965882 - Flags: review?(mozilla) → review+
https://hg.mozilla.org/integration/mozilla-inbound/rev/97dd772529d888777e85b202a32aa7414df24491
Bug 1452299: Make browser_ext_settings_overrides_search a less-dodgy xpcshell test. r=mkaply
https://hg.mozilla.org/mozilla-central/rev/97dd772529d8
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla61
Can you please add some specific STRs to this bug and test extensions(if needed) or mark it as "qe-verify-" ?
Flags: needinfo?(kmaglione+bmo)
Product: Toolkit → WebExtensions
Flags: needinfo?(kmaglione+bmo) → qe-verify-
You need to log in before you can comment on or make changes to this bug.